package com.liquidnet.client.admin.zhengzai.goblin.service;

import com.liquidnet.service.goblin.dto.GoblinGoodsSearchDto;
import com.liquidnet.service.goblin.dto.GoblinSkusSearchDto;
import com.liquidnet.service.goblin.dto.GoblinStoreSearchDto;

import java.util.List;

/**
 * 正在下单相关
 */
public interface IGoblinCommonService {

   List<GoblinStoreSearchDto> storeSearch(String name,List<String> status);

   List<GoblinGoodsSearchDto> goodsSearch(String name,  Integer type);

   List<GoblinSkusSearchDto> skuSearch(String name, Integer type);
}
